diff a/test/jdk/javax/security/auth/Subject/CallAsWithScopedValue.java b/test/jdk/javax/security/auth/Subject/CallAsWithScopedValue.java
--- a/test/jdk/javax/security/auth/Subject/CallAsWithScopedValue.java
+++ b/test/jdk/javax/security/auth/Subject/CallAsWithScopedValue.java
@@ -64,11 +64,12 @@
             return null;
         });
 
         // Observable in structured concurrency in SV mode, but not in ACC mode
         Subject.callAs(subject, () -> {
-            try (var scope = new StructuredTaskScope<>()) {
+            var policy = StructuredTaskScope.JoinPolicy.ignoreAll();
+            try (var scope = StructuredTaskScope.open(policy)) {
                 scope.fork(() -> check(3, Subject.current(), usv ? "Duke" : null));
                 scope.join();
             }
             return null;
         });
